import java.util.Scanner;

public class Nadovezivanje2 {

    public static void main(String[] args) {
       
        Scanner sc=new Scanner(System.in);
        int a,b,c;
        a=sc.nextInt();
        b=sc.nextInt();
        c=sc.nextInt();
        int a1, b1,c1;
        a1=a/((int)(Math.pow(10,(int)Math.log10(a))));
        b1=b/((int)(Math.pow(10,(int) Math.log10(b))));
        c1=c/((int)(Math.pow(10,(int) Math.log10(c))));
        
        if(a1>b1){
            if(c1>a1){
                System.out.print(c);
                System.out.print(a);
                System.out.print(b);
            }
            else if(c1>b1){
                System.out.print(a);
                System.out.print(c);
                System.out.print(b);}
            else{
                System.out.print(a);
                System.out.print(b);
                System.out.print(c);
             }
            
        }
        else {
            if(c1>b1){
                System.out.print(c);
                System.out.print(b);
                System.out.print(a);
            }
            else if(c1>a1){
                System.out.print(b);
                System.out.print(c);
                System.out.print(a);
            }
            else{
                System.out.print(b);
                System.out.print(a);
                System.out.print(c);
            }
                
         
    }
    
}}